import './App.css';
import '@mapbox/mapbox-gl-geocoder/dist/mapbox-gl-geocoder.css';
import InteractiveEditor from "./Components/InteractiveEditor";
import {useState} from "react";
import {UserNavigator} from "./Components/UserNavigator";
import {User} from "../types/User";
import { RouteNavigator } from './Components/RouteNavigator';
import { Route } from '../types/Route';


function App() {
    const [user, setUser] = useState<User>();
    const [route, setRoute] = useState<Route>();

    return (
        <div className="App">
            <UserNavigator setUser={setUser}/>
            {
                !!user?.userId && <RouteNavigator setRoute={setRoute} userId={user.userId}/>
            }
            <InteractiveEditor /* route={route}??? *//>
        </div>
    )
}

export default App;
