import {Dispatch, SetStateAction, useEffect, useState, FC} from "react";


interface Props<T> {
    getter: (param: string) => Promise<Array<T>>
    param: string
    handler: Dispatch<SetStateAction<T | undefined>>
    title: string
    listElement: FC<{ data: T}>
}

function Navigator<T> (props: Props<T>) {

    const [result, setResult] = useState<T[]>([])

    useEffect(() => {
        props.getter(props.param).then(result => {
            setResult(result)}
        )
    }, [props])

    return (
        <div>
            <p>{props.title}</p>
            <ul>{
                result.map((res, i)=>
                    <li key={i} onClick={() => props.handler(res)}>{<props.listElement data={res}/>}</li>
                )
            }</ul>
        </div>
    )
}

export {Navigator}
