import {Dispatch, SetStateAction} from "react";
import {getRouteList} from "../../Firebase/getRoutes";
import {Route} from "../../../types/Route";
import {Navigator} from "../Navigator/index";

interface Props {
    setRoute: Dispatch<SetStateAction<Route | undefined>>
    userId: string
}

function RouteNavigator (props: Props) {

    const listElement = (props: {data: Route}) => <p>{props.data.name}</p>;
    return <Navigator handler={props.setRoute} getter={getRouteList} title={'User ' + props.userId + ' : routes'} param={props.userId} listElement={listElement}/>
}

export {RouteNavigator}