import {Dispatch, SetStateAction} from "react";
import {getUserList} from "../../Firebase/getUsers";
import {User} from "../../../types/User";
import {Navigator} from "../Navigator/index";

interface Props {
    setUser: Dispatch<SetStateAction<User | undefined>>
}

function UserNavigator (props: Props) {

    const listElement = (props: {data: User}) => <p>{props.data.name}</p>;
    return <Navigator handler={props.setUser} getter={getUserList} title={'Users list'} param={''} listElement={listElement}/>
}

export {UserNavigator}
